
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/basic/palletTypeInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "托盘类型",
      name: "palletTypeInfo",
      url: "/palletTypeInfo/",
      sortName: "id",
    });
    const editFormFields = ref({
      palletType: "",
      typeName: "",
      length: "",
      width: "",
      height: "",
      locaitonCount: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "托盘类型",
          required: true,
          field: "palletType",
          type: "int",
        },
        {
          title: "托盘类型名称",
          required: true,
          field: "typeName",
          type: "string",
        },
        {
          title: "长度",
          required: true,
          field: "length",
          type: "int",
        },
        {
          title: "宽度",
          required: true,
          field: "width",
          type: "int",
        },

      ],
      [
        {
          title: "高度",
          required: true,
          field: "height",
          type: "int",
        },
        {
          title: "货位占用数",
          required: true,
          field: "locaitonCount",
          type: "int",
        },
      ],
    ]);
    const searchFormFields = ref({
      palletType: "",
      typeName: "",
    });
    const searchFormOptions = ref([
      [
        { title: "托盘类型", field: "palletType", type: "like" },
        { title: "托盘类型名称", field: "typeName", type: "like" },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "palletType",
        title: "托盘类型",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "codeStartStr",
        title: "托盘号起始字符串",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "typeName",
        title: "托盘类型名称",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "length",
        title: "长度",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "width",
        title: "宽度",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "height",
        title: "高度",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "enbale",
        title: "状态",
        type: "int",
        width: 90,
        align: "left",
      },
      {
        field: "warehouseId",
        title: "仓库编号",
        type: "int",
        width: 180,
        align: "left",
      },
      {
        field: "sortNum",
        title: "所属层",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "locaitonCount",
        title: "占用货位数",
        type: "int",
        width: 120,
        align: "left",
      },
      {
        field: "isOdd",
        title: "大托盘是否放奇数列",
        type: "bit",
        width: 90,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    